# AbstractPublishToMaven

API Documentation: | `AbstractPublishToMaven`

Known Subtypes: |
`PublishToMavenRepository`

Base class for tasks that publish a `MavenPublication`.

### Properties

Property | Description
`publication` | The publication to be published.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `MavenPublication` `publication`

The publication to be published.